Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001664SOGoBackend Generalpublic2012-03-05 13:562012-05-29 16:17
Reporterbuzzdee 
Assigned Toludovic 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3.12 
Target Version1.3.16Fixed in Version1.3.16 
Summary0001664: exceptions on 64Bit with gnustep-base-1.24.0
DescriptionHi,

with GNUstep base 1.24.0, NSNotFound changed to be NSIntegerMax instead of hardcoded 0x7fffffff, which now might be 0x7fffffffffffffffL on 64Bit platforms.

Now, I just moved my openbsd installation to gnustep-base 1.24.0, and sogo 1.3.12c.

Immediately after login I get the following exception now:

EXCEPTION: <NSException: 0x200755248> NAME:NSRangeException REASON:Index -1 is out of range 7 (in 'replaceObjectAtIndex:withObject:') INFO:{Array = (Flagged, Attachment, Subject, Unread, Date, Priority, Size); Count = 7; Index = 4294967295; }

The exception happens here:
(gdb) frame 2
0000002 0x0000000217515eda in -[UIxMailMainFrame columnsDisplayOrder] (self=0x20db08b08, _cmd=Variable "_cmd" is not available.
) at UIxMailMainFrame.m:600
600 [finalOrder replaceObjectAtIndex: i withObject: @"From"];
(gdb) list
595 {
596 i = [finalOrder indexOfObject: @"To"];
597 if (i != NSNotFound)
598 {
599 [finalOrder removeObject: @"From"];
600 [finalOrder replaceObjectAtIndex: i withObject: @"From"];
601 }
602 }
603
604 columnsOrder = [[self columnsMetaData] objectsForKeys: finalOrder

backtrace:

(gdb) bt
#0 -[NSException raise] (self=0x21a99e5c8, _cmd=0x20f1ad6a0) at NSException.m:956
0000001 0x000000020ecb6cb5 in -[GSMutableArray replaceObjectAtIndex:withObject:] (self=0x21a99e908, _cmd=0x217b678d0, index=4294967295,
    anObject=0x217b67c00) at GSArray.m:766
0000002 0x0000000217950eda in -[UIxMailMainFrame columnsDisplayOrder] (self=0x200b26c08, _cmd=Variable "_cmd" is not available.
) at UIxMailMainFrame.m:600
0000003 0x0000000201fcebfd in _getComponentValue (self=0x20976fa68, object=0x200b26c08, info=0x202d69480) at WOKeyPathAssociation.m:552
0000004 0x0000000201fd4ab4 in -[WOKeyPathAssociation valueInComponent:] (self=0x20976fa68, _cmd=Variable "_cmd" is not available.
) at WOKeyPathAssociation.m:749
0000005 0x0000000202004cdb in -[_WOSimpleRepetition appendToResponse:inContext:] (self=0x20b353508, _cmd=Variable "_cmd" is not available.
) at WORepetition.m:790
0000006 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x20b353c88, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000007 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x20b351108, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000008 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x20b353b88, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000009 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x20b351508, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000010 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x20b353a88, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000011 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x2041a1608, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000012 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x202f06088, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000013 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x2041a1388, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000014 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x20b354488, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000015 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x2041a1308, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000016 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x20447ba08, _cmd=0x2022f8150, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000017 0x0000000201fee8d4 in -[WOComponentContent appendToResponse:inContext:] (self=Variable "self" is not available.
) at WOComponentContent.m:157
0000018 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x20b96ef88, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000019 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x2081fc808, _cmd=0x2022f9a30, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000020 0x0000000201ff14af in -[WOConditional appendToResponse:inContext:] (self=0x207d57008, _cmd=Variable "_cmd" is not available.
) at WOConditional.m:242
0000021 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x219ab9888, _cmd=0x2022f60a0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000022 0x0000000201feb187 in -[WOBody appendToResponse:inContext:] (self=0x207d57688, _cmd=Variable "_cmd" is not available.
) at WOBody.m:155
0000023 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x219ab9908, _cmd=0x2022fd4c0, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000024 0x0000000201ff7072 in -[WOGenericContainer appendToResponse:inContext:] (self=0x207d77788, _cmd=Variable "_cmd" is not available.
) at WOGenericContainer.m:121
0000025 0x0000000201ff0b7c in -[WOCompoundElement appendToResponse:inContext:] (self=0x219ab9a08, _cmd=0x2022f9a30, _response=0x2060f4208,
    _ctx=0x20ccb1c08) at WOCompoundElement.m:247
0000026 0x0000000201ff14af in -[WOConditional appendToResponse:inContext:] (self=0x20b351188, _cmd=Variable "_cmd" is not available.
) at WOConditional.m:242

TagsNo tags attached.
Attached Files? file icon patch-UI_MailerUI_UIxMailMainFrame_m [^] (297 bytes) 2012-03-05 14:04 [Show Content]
diff file icon sope-patches-for-64-bit-and-deprecation-fixes.diff [^] (14,687 bytes) 2012-03-06 06:15 [Show Content]
diff file icon sogo-64Bit-fixes-and-other-minor-things.diff [^] (3,455 bytes) 2012-03-06 06:15 [Show Content]
diff file icon fix_64_Bit_exceptions.diff [^] (4,974 bytes) 2012-03-19 15:00 [Show Content]
diff file icon NSNotFound-comparison-warnings-in-SOPE-and-other-unsigned-int-and-int-conversions-to-NSUInteger.diff [^] (20,951 bytes) 2012-05-11 13:10 [Show Content]
diff file icon NSNotFound-fixes-for-SOGo.diff [^] (7,848 bytes) 2012-05-11 13:24 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0003521)
wsourdeau (viewer)
2012-03-05 13:57

After the update of GNUstep, did you rebuild SOPE and SOGo? Because this change makes the gnustep binary-incompatible with code build with the previous versions.
(0003522)
buzzdee (reporter)
2012-03-05 14:05

Yes, I rebuilt everything afterwards.

Well, as it seems, the NSUInteger in that place is right, but i is only
unsigned int, which is right on i386, but not on amd64. The problem is the switch from unsigned int to NSUInteger for the return values of many methods.

Attached patch fixes this immediate issue, but there might be more lurking.

Sebastian
(0003523)
buzzdee (reporter)
2012-03-05 14:06

I get a lot of warnings from gcc on amd64 in SOPE and SOGo, will hopefully find time tomorrow or in the next few days, to look at all of them, and provide patches.

cheers
Sebastian
(0003524)
buzzdee (reporter)
2012-03-05 14:08

With above patch, I can login to the mail interface, but clicking myself through some mails, I end up with this new backtrace.

(gdb) bt
#0 -[NSException raise] (self=0x2078bd848, _cmd=0x20f0716a0) at NSException.m:956
0000001 0x000000020eb7b2b3 in -[GSArray objectAtIndex:] (self=0x201d28d88, _cmd=0x217260a30, index=4294967295) at GSArray.m:331
0000002 0x00000002170545e6 in -[UIxMailPartAlternativeViewer selectChildInfo] (self=0x20a041208, _cmd=Variable "_cmd" is not available.
) at UIxMailPartAlternativeViewer.m:153
0000003 0x00000002170544d8 in -[UIxMailPartAlternativeViewer childInfo] (self=0x20a041208, _cmd=Variable "_cmd" is not available.
) at UIxMailPartAlternativeViewer.m:162
0000004 0x00000002170543f5 in -[UIxMailPartAlternativeViewer contentViewerComponent] (self=0x20a041208, _cmd=Variable "_cmd" is not available.
)
    at UIxMailPartAlternativeViewer.m:200
0000005 0x00000002038c9bfd in _getComponentValue (self=0x20153a1c8, object=0x20a041208, info=0x20904a2c0) at WOKeyPathAssociation.m:552
0000006 0x00000002038cfab4 in -[WOKeyPathAssociation valueInComponent:] (self=0x20153a1c8, _cmd=Variable "_cmd" is not available.
) at WOKeyPathAssociation.m:749
0000007 0x00000002038ea976 in -[WOComponentReference appendToResponse:inContext:] (self=0x204aa9008, _cmd=0x203bf42a0, _response=0x20285ad08,
    _ctx=Variable "_ctx" is not available.
) at WOComponentReference.m:94

I have to resort back to thunderbird for mail reading the next days, until I can fix all of those beasts ;)

Sebastian
(0003525)
wsourdeau (viewer)
2012-03-05 14:17

Same problem again: it's the use if unsigned ints rather that NSUInteger that does taht. I have no time right now to work on this, but if you can provide a patch for those cases, it would be appreciated.
A fast way of doing this is to do a "grep -r unsigned {SOGo,SOPE}".
Most of the code written in the 2 last years make use of NSUInteger, but we still havbe a lot of old code with unsigned ints.
(0003527)
buzzdee (reporter)
2012-03-06 06:13

here are all SOPE related warnings for the patches that will follow soon:

cc SaxAttributeList.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -O2 -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=66 -Wno-protocol -DFHS_INSTALL_ROOT=\@\"/usr/local\" -DCGS_LIBDIR_NAME=\@\"lib\" -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNT
IME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I. -I/usr/local/include -I/SOPE-1.3.1
2c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libSaxObjC.obj/SaxAttributeList.m.o
SaxAttributeList.m: In function '-[SaxAttributeList removeAttribute:]':
SaxAttributeList.m:100: warning: comparison is always false due to limited range of data type
SaxAttributeList.m: In function '-[SaxAttributeList typeForName:]':
SaxAttributeList.m:123: warning: comparison is always false due to limited range of data type
SaxAttributeList.m: In function '-[SaxAttributeList valueForName:]':
SaxAttributeList.m:131: warning: comparison is always false due to limited range of data type

cc SaxAttributes.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -O2 -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=66 -Wno-protocol -DFHS_INSTALL_ROOT=\@\"/usr/local\" -DCGS_LIBDIR_NAME=\@\"lib\" -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNT
IME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I. -I/usr/local/include -I/SOPE-1.3.1
2c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libSaxObjC.obj/SaxAttributes.m.o
SaxAttributes.m: In function '-[SaxAttributes typeForRawName:]':
SaxAttributes.m:165: warning: comparison is always false due to limited range of data type
SaxAttributes.m: In function '-[SaxAttributes typeForName:uri:]':
SaxAttributes.m:173: warning: comparison is always false due to limited range of data type
SaxAttributes.m: In function '-[SaxAttributes valueForRawName:]':
SaxAttributes.m:182: warning: comparison is always false due to limited range of data type
SaxAttributes.m: In function '-[SaxAttributes valueForName:uri:]':
SaxAttributes.m:190: warning: comparison is always false due to limited range of data type


cc DOMNodeWithChildren.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -O2 -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=24 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-fr
ame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I.. -I../.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libDOM.obj/DOMNodeWithChildren.m.o
DOMNodeWithChildren.m: In function '-[NGDOMNodeWithChildren removeChild:]':
DOMNodeWithChildren.m:78: warning: comparison is always false due to limited range of data type
DOMNodeWithChildren.m: In function '-[NGDOMNodeWithChildren _domNodeBeforeNode:]':
DOMNodeWithChildren.m:138: warning: comparison is always false due to limited range of data type
DOMNodeWithChildren.m: In function '-[NGDOMNodeWithChildren _domNodeAfterNode:]':
DOMNodeWithChildren.m:154: warning: comparison is always false due to limited range of data type

cc XmlRpcDecoder.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -O2 -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=31 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-fr
ame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libXmlRpc.obj/XmlRpcDecoder.m.o
XmlRpcDecoder.m: In function '-[XmlRpcDecoder decodeIntForKey:]':
XmlRpcDecoder.m:593: warning: overflow in implicit constant conversion

cc XmlRpcSaxHandler.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -O2 -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=31 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-fr
ame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libXmlRpc.obj/XmlRpcSaxHandler.m.o
XmlRpcSaxHandler.m: In function '-[XmlRpcSaxHandler start:dateTime:]':
XmlRpcSaxHandler.m:248: warning: comparison is always true due to limited range of data type
XmlRpcSaxHandler.m: In function '-[XmlRpcSaxHandler startElement:namespace:rawName:attributes:]':
XmlRpcSaxHandler.m:537: warning: comparison is always true due to limited range of data type

cc StructuredText.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I. -I../Model -I.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/ExtraSTX.obj/StructuredText.m.o
StructuredText.m: In function '-[StructuredText checkForListItem:]':
StructuredText.m:312: warning: comparison is always false due to limited range of data type
StructuredText.m: In function '-[StructuredText buildList]':
StructuredText.m:401: warning: comparison is always false due to limited range of data type
StructuredText.m: In function '-[StructuredText listItemTypology:]':
StructuredText.m:482: warning: overflow in implicit constant conversion


cc NGCalendarDateRange.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -DFHS_INSTALL_ROOT=\@\"/usr/local\" -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-run
time -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I../NGStreams/ -I../../sope-xml -I./NGExtensions/ -I./FdExt.subproj/ -I./EOExt.subproj/ -I.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/inc
lude \
       -o obj/libNGExtensions.obj/NGCalendarDateRange.m.o
NGCalendarDateRange.m: In function '-[NSArray(NGCalendarDateRanges) indexOfFirstIntersectingDateRange:]':
NGCalendarDateRange.m:266: warning: large integer implicitly truncated to unsigned type
NGCalendarDateRange.m:272: warning: large integer implicitly truncated to unsigned type
NGCalendarDateRange.m: In function '-[NSArray(NGCalendarDateRanges) arrayByCompactingContainedDateRanges]':
NGCalendarDateRange.m:297: warning: comparison is always false due to limited range of data type

cc NGLockingStream.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -DHAVE_OPENSSL=1 -DOPENSSL_NO_KRB5 -Wall -Wno-protocol -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2
 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I../NGStreams/ -I../../sope-xml -INGStreams -I../NGExtensions -I.. -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libNGStreams.obj/NGLockingStream.m.o
NGLockingStream.m: In function '-[NGLockingStream safeReadBytes:count:]':
NGLockingStream.m:115: warning: 'res' may be used uninitialized in this function

cc NSString+Imap4.m -c \
      -MMD -MP -Wall -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/loc
al/include/ObjectiveC2 -I.. -I../.. -I../../sope-core/NGStreams/ -I../../sope-core/NGExtensions/ -I../../sope-core/ -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/NGImap4.obj/NSString+Imap4.m.o
NSString+Imap4.m: In function '-[NSString(Imap4) stringByEncodingImap4FolderName]':
NSString+Imap4.m:154: warning: 'hasLeftOver' may be used uninitialized in this function
NSString+Imap4.m:154: note: 'hasLeftOver' was declared here

cc NGHttpHeaderFields.m -c \
      -MMD -MP -Wall -pipe -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/u
sr/local/include/ObjectiveC2 -I.. -I../.. -I../../../sope-core -I../../../sope-core/NGStreams -I../../../sope-core/NGExtensions -I../../../sope-mime -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/NGHttp.obj/NGHttpHeaderFields.m.o
NGHttpHeaderFields.m: In function '_parseUserAgent':
NGHttpHeaderFields.m:306: warning: comparison is always true due to limited range of data type


cc WOHttpAdaptor.m -c \
      -MMD -MP -pipe -Wall -DCOMPILING_NGOBJWEB=1 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-clas
s=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I. -I../.. -I../../../sope-core -I../../../sope-core/NGStreams -I../../../sope-core/NGExtensions -I../../../sope-mime -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/inclu
de \
       -o obj/WOHttpAdaptor.obj/WOHttpAdaptor.m.o
WOHttpAdaptor.m: In function '-[WOHttpAdaptor _handleAcceptedConnection:]':
WOHttpAdaptor.m:399: warning: 't' may be used uninitialized in this function


cc WODisplayGroup.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=37 -pipe -DCOMPILING_NGOBJWEB=1 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -
fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -Wall -Wno-import -Wno-protocol -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I../../sope-core/ -I../../sope-core/NGExtensions -I../../s
ope-core/NGStreams -I../../sope-xml -I. -I./DynamicElements/ -I./Templates/ -I.. -I../../sope-core -I../../sope-core/NGStreams/ -I../../sope-core/NGExtensions -I../../sope-mime -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/incl
ude \
       -o obj/libNGObjWeb.obj/WODisplayGroup.m.o
WODisplayGroup.m: In function '-[WODisplayGroup setSelectedObject:]':
WODisplayGroup.m:381: warning: comparison is always true due to limited range of data type
WODisplayGroup.m: In function '-[WODisplayGroup selectObject:]':
WODisplayGroup.m:439: warning: comparison is always true due to limited range of data type
WODisplayGroup.m: In function '-[WODisplayGroup deleteSelection]':
WODisplayGroup.m:963: warning: comparison is always false due to limited range of data type


cc WOTabPanel.m -c \
      -MMD -MP -Wall -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/loc
al/include/ObjectiveC2 -I.. -I../.. -I../NGObjWeb -I../../sope-core/NGStreams -I../../sope-core/NGExtensions -I../../sope-core -I../../sope-xml -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libWOExtensions.obj/WOTabPanel.m.o
WOTabPanel.m: In function '-[WOTabPanel appendToResponse:inContext:]':
WOTabPanel.m:194: warning: comparison is always false due to limited range of data type

cc EOExpressionArray.m -c \
      -MMD -MP -pipe -Wall -Wno-protocol -Wall -DGDL_MAJOR_VERSION=1 -DGDL_MINOR_VERSION=0 -DGDL_SUBMINOR_VERSION=63 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION= -DCGS_LIBDIR_NAME=\@\"lib\" -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUST
EP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I"../.."/sope-xml -I"../.."/sope-core -I"../.."/so
pe-core/NGExtensions -I. -I.. -I./FoundationExt -I../../sope-core/ -I../../sope-core/NGExtensions/ -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/libGDLAccess.obj/EOExpressionArray.m.o
EOExpressionArray.m: In function '-[EOExpressionArray referencesObject:]':
EOExpressionArray.m:63: warning: comparison is always true due to limited range of data type

cc PostgreSQL72Channel.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I/usr/local/include/postgresql -I../GDLAccess -I.. -I.. -I../.. -I../../sope-core/ -I../../sope-core/NGExtensions -I/usr/local/include -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/PostgreSQL.obj/PostgreSQL72Channel.m.o
PostgreSQL72Channel.m: In function '-[PostgreSQL72Channel _fillFieldNamesForAttributes:count:]':
PostgreSQL72Channel.m:407: warning: comparison is always false due to limited range of data type


SECOND COMPILATION ROUND:

cc PostgreSQL72Channel.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I/usr/local/include/postgresql -I../GDLAccess -I.. -I.. -I../.. -I../../sope-core/ -I../../sope-core/NGExtensions -I/usr/local/include -I. -I/usr/local/include -I/SOPE-1.3.12c_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/PostgreSQL.obj/PostgreSQL72Channel.m.o
PostgreSQL72Channel.m: In function '-[PostgreSQL72Channel primaryFetchAttributes:withZone:]':
PostgreSQL72Channel.m:432: warning: assignment from incompatible pointer type
(0003528)
buzzdee (reporter)
2012-03-06 06:13

here are all SOGo related warnings for the patches that follow soon:

cc CardGroup.m -c \
      -MMD -MP -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DSOPE_MAJOR_VERSION=4 -DSOPE_MINOR_VERSION=9 -DSOPE_SUBMINOR_VERSION=0 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGS
DIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I. -I.. -I../../sope-core/NGExtensions/ -I../../sope-core -I../../sope-xml -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Hea
ders -I/usr/local/include \
       -o obj/libNGCards.obj/CardGroup.m.o
CardGroup.m: In function '-[CardGroup replaceThisElement:withThisOne:]':
CardGroup.m:397: warning: comparison is always true due to limited range of data type


cc NSString+Utilities.m -c \
      -MMD -MP -DSOGO_BUILD_DATE="@\"@www.l00-bugdead-prods.de 201203060931\"" -DSOGO_LIBDIR="\"/usr/local/lib/GNUstep/SOGo\"" -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWA
RN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I../../SOPE/ -I.. -I../../UI -DSOGO_MAJOR_VERSION="@\"1\"" -DSOGO_MINOR_VERSION="@\"3\"" -DSOGO_SUBMINOR_VERSION="@\"12\"" -I./derived_src -I. -
I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/SOGo.obj/NSString+Utilities.m.o
NSString+Utilities.m:423:2: warning: #warning "encoding" parameter is not useful
NSString+Utilities.m: In function '-[NSString(SOGoURLExtension) timeValue]':
NSString+Utilities.m:478: warning: comparison is always false due to limited range of data type
NSString+Utilities.m:531:2: warning: #warning this method is a quick and dirty way of detecting the file-format

cc SOGoMailObject+Draft.m -c \
      -MMD -MP -Wall -DCOMPILE_FOR_GSTEP_MAKE=1 -DUIX_MAILER_MAJOR_VERSION=1 -DUIX_MAILER_MINOR_VERSION=3 -DUIX_MAILER_SUBMINOR_VERSION=12 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer
-Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/include/ObjectiveC2 -I.. -I../.. -I../../SOPE -I../../SOPE/ -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local
/include \
       -o obj/Mailer.obj/SOGoMailObject+Draft.m.o
SOGoMailObject+Draft.m: In function '-[SOGoMailObject(SOGoDraftObjectExtensions) _contentForEditingFromKeys:]':
SOGoMailObject+Draft.m:110: warning: comparison is always false due to limited range of data type
SOGoMailObject+Draft.m:118: warning: comparison is always true due to limited range of data type
SOGoMailObject+Draft.m:311:2: warning: #warning we might need to handle parts with a "name" attribute

cc UIxMailPartAlternativeViewer.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I.. -I../.. -I../../.. -I../../SoObjects -I../../SOPE -I/usr/local/include/libxml2 -I/usr/local/include -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/MailPartViewers.obj/UIxMailPartAlternativeViewer.m.o
UIxMailPartAlternativeViewer.m: In function '-[UIxMailPartAlternativeViewer _preferredTypesPart:]':
UIxMailPartAlternativeViewer.m:100: warning: large integer implicitly truncated to unsigned type
UIxMailPartAlternativeViewer.m:106: warning: comparison is always true due to limited range of data type
UIxMailPartAlternativeViewer.m: In function '-[UIxMailPartAlternativeViewer _selectPartIndexFromTypes:]':
UIxMailPartAlternativeViewer.m:119: warning: comparison is always false due to limited range of data type
UIxMailPartAlternativeViewer.m:131: warning: comparison is always false due to limited range of data type
UIxMailPartAlternativeViewer.m: In function '-[UIxMailPartAlternativeViewer selectChildInfo]':
UIxMailPartAlternativeViewer.m:145: warning: comparison is always false due to limited range of data type

cc UIxCalView.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I.. -I../.. -I../../.. -I../../SoObjects -I../../SOPE -I../../SOPE/ -I.. -I../.. -I../../.. -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/SchedulerUI.obj/UIxCalView.m.o
UIxCalView.m: In function '-[UIxCalView redirectForUIDsAction]':
UIxCalView.m:555: warning: comparison is always true due to limited range of data type


cc UIxComponentEditor.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I.. -I../.. -I../../.. -I../../SoObjects -I../../SOPE -I../../SOPE/ -I.. -I../.. -I../../.. -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/SchedulerUI.obj/UIxComponentEditor.m.o
UIxComponentEditor.m: In function '-[UIxComponentEditor _loadAlarms]':
UIxComponentEditor.m:546: warning: comparison is always false due to limited range of data type


SECOND ROUND

cc UIxMailPartAlternativeViewer.m -c \
      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -fno-strict-aliasing -fPIC -DDEBUG -fno-omit-frame-pointer -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -pipe -g -fgnu-runtime -fconstant-string-class=NSConstantString -I/usr/local/inc
lude/ObjectiveC2 -I.. -I../.. -I../../.. -I../../SoObjects -I../../SOPE -I/usr/local/include/libxml2 -I/usr/local/include -I. -I/usr/local/include -I/sogo-1.3.12.2_writes_to_HOME/GNUstep/Library/Headers -I/usr/local/include \
       -o obj/MailPartViewers.obj/UIxMailPartAlternativeViewer.m.o
UIxMailPartAlternativeViewer.m: In function '-[UIxMailPartAlternativeViewer selectChildInfo]':
UIxMailPartAlternativeViewer.m:146: warning: comparison is always false due to limited range of data type
(0003529)
buzzdee (reporter)
2012-03-06 06:30

some parts of the patches are older, and I think I already opened other bug reports for them. They are just some deprecation warnings and the like...
The rest of the patches fixes the warnings above.

I tested the patches on my i386 box, SOGo is still working fine, and on amd64, I don't get those exceptions anymore, but I seem to have memory issues:

Example segfault, when trying to write a new mail:

2012-03-06 11:07:23.326 sogod[8795] WARNING: IMAP4 connection pooling is disabled!
2012-03-06 11:07:23.331 sogod[8795] Note(NGImap4Connection): using '.' as the IMAP4 folder separator.
127.0.0.1 - - [06/Mar/2012:11:07:23 GMT] "GET /SOGo/so/sebastia/Mail/0/compose HTTP/1.1" 302 0/0 0.020 - - -
2012-03-06 11:07:23.627 sogod[8795] WOCompoundElement: pool embedding is on.
2012-03-06 11:07:23.627 sogod[8795] WOCompoundElement: id logging is on.
Mar 06 11:07:23 sogod [8795]: <<0x0F8AAC88[SOGoContactGCSFolder]:personal>>D fetched 0 records.

Program received signal SIGSEGV, Segmentation fault.
[Switching to process 8795, thread 0x209227800]
0x0000000205c40f0d in objc_msg_lookup (receiver=0x20f86cf28, op=0x206e476f0) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
213 /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c: No such file or directory.
        in /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c
Current language: auto; currently c
(gdb) bt
#0 0x0000000205c40f0d in objc_msg_lookup (receiver=0x20f86cf28, op=0x206e476f0) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
0000001 0x00000002069523a3 in -[GSInlineArray initWithObjects:count:] (self=0x20853b188, _cmd=Variable "_cmd" is not available.
) at GSArray.m:422
0000002 0x00000002069a4ef4 in +[NSArray arrayWithObjects:] (self=Variable "self" is not available.
) at NSArray.m:265
0000003 0x0000000205229615 in -[WOResourceManager _cachedDefinitionForComponent:languages:] (self=0x20c780188, _cmd=Variable "_cmd" is not available.
) at WOResourceManager.m:714
0000004 0x0000000205226d1f in -[WOResourceManager __definitionForComponent:languages:] (self=0x20c780188, _cmd=Variable "_cmd" is not available.
) at WOResourceManager.m:1046
0000005 0x0000000205226bc4 in -[WOResourceManager pageWithName:languages:] (self=0x20c780188, _cmd=Variable "_cmd" is not available.
) at WOResourceManager.m:1089
0000006 0x000000020521c9a0 in -[WOComponentFault resolveWithParent:] (self=0x208652288, _cmd=Variable "_cmd" is not available.
) at WOComponentFault.m:109
0000007 0x000000020521686e in -[WOComponent childComponentWithName:] (self=0x219faca08, _cmd=Variable "_cmd" is not available.
) at WOComponent.m:721
0000008 0x000000020523bf35 in -[WOChildComponentReference takeValuesFromRequest:inContext:] (self=0x20c7a0988, _cmd=0x2055911a0, _request=0x2064b2b08, _ctx=Variable "_ctx" is not available.
) at WOChildComponentReference.m:99
0000009 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20c7a0508, _cmd=0x205595470, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000010 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20cf3cf08, _cmd=0x205595470, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000011 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20c7a0388, _cmd=0x205595470, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000012 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20c7a0b88, _cmd=0x205595470, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000013 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x204f27508, _cmd=0x2055900d0, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000014 0x0000000205286ee6 in -[WOComponentContent takeValuesFromRequest:inContext:] (self=Variable "self" is not available.
) at WOComponentContent.m:67
0000015 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20250b808, _cmd=0x2055919d0, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000016 0x0000000205289def in -[WOConditional takeValuesFromRequest:inContext:] (self=0x20c7d3c88, _cmd=Variable "_cmd" is not available.
) at WOConditional.m:199
0000017 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20ac97b88, _cmd=0x20558e050, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000018 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20ac97708, _cmd=0x205595470, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000019 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20ac97488, _cmd=0x2055919d0, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000020 0x0000000205289def in -[WOConditional takeValuesFromRequest:inContext:] (self=0x20864f208, _cmd=Variable "_cmd" is not available.
) at WOConditional.m:199
0000021 0x00000002052884e5 in -[WOCompoundElement takeValuesFromRequest:inContext:] (self=0x20ac97008, _cmd=0x205571820, _rq=0x2064b2b08, _ctx=0x200923c08) at WOCompoundElement.m:150
0000022 0x000000020523bf8b in -[WOChildComponentReference takeValuesFromRequest:inContext:] (self=0x2092a0008, _cmd=0x205571820, _request=0x2064b2b08, _ctx=Variable "_ctx" is not available.
) at WOChildComponentReference.m:110
0000023 0x0000000205212631 in -[WOApplication takeValuesFromRequest:inContext:] (self=Variable "self" is not available.
) at WOApplication.m:878
0000024 0x00000002052c44de in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x20ab85b88, _cmd=Variable "_cmd" is not available.
) at SoActionInvocation.m:289
0000025 0x00000002052bfa21 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x2016a1bc8, _cmd=Variable "_cmd" is not available.
) at SoObjectMethodDispatcher.m:191
0000026 0x00000002052c180c in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x20446f848, _cmd=Variable "_cmd" is not available.
) at SoObjectRequestHandler.m:591
0000027 0x000000020524f829 in -[WORequestHandler handleRequest:] (self=Variable "self" is not available.
) at WORequestHandler.m:241
---Type <return> to continue, or q <return> to quit---frame
0000028 0x00000002052136ac in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x20b70e908, _cmd=Variable "_cmd" is not available.
) at WOCoreApplication.m:704
0000029 0x00000000004036b2 in -[SOGo dispatchRequest:] (self=0x20b70e908, _cmd=Variable "_cmd" is not available.
) at SOGo.m:451
0000030 0x00000002052b064d in -[WOHttpTransaction _run] (self=0x215417e88, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:581
0000031 0x00000002052b3231 in -[WOHttpTransaction run] (self=0x215417e88, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:634
0000032 0x00000002052ad679 in -[WOHttpAdaptor runConnection:] (self=0x20ab1ec08, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:384
0000033 0x00000002052af060 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x20ab1ec08, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:418
0000034 0x00000002052aecd6 in -[WOHttpAdaptor _handleConnection:] (self=0x20ab1ec08, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:477
0000035 0x00000002052af22c in -[WOHttpAdaptor acceptConnection:] (self=Variable "self" is not available.
) at WOHttpAdaptor.m:538
0000036 0x0000000206a53706 in -[NSNotificationCenter _postAndRelease:] (self=0x20647cb28, _cmd=Variable "_cmd" is not available.
) at NSNotificationCenter.m:1223
0000037 0x0000000206b5bad1 in -[GSRunLoopCtxt pollUntil:within:] (self=0x204effe08, _cmd=Variable "_cmd" is not available.
) at GSRunLoopCtxt.m:629
0000038 0x0000000206a9d14e in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x20845bf48, _cmd=0x206ed1000, mode=0x206ed10a0, limit_date=0x208615d28) at NSRunLoop.m:1195
0000039 0x0000000206a9b5ab in -[NSRunLoop runMode:beforeDate:] (self=0x20845bf48, _cmd=0x205514480, mode=0x206ed10a0, date=0x2086155c8) at NSRunLoop.m:1263
0000040 0x0000000205213f24 in -[WOCoreApplication run] (self=Variable "self" is not available.
) at WOCoreApplication.m:576
0000041 0x0000000000402aaf in -[SOGo run] (self=0x20b70e908, _cmd=Variable "_cmd" is not available.
) at SOGo.m:275
0000042 0x000000020523b6b5 in WOApplicationMain (_appClassName=0x6071a0, argc=Variable "argc" is not available.
) at WOApplicationMain.m:42
0000043 0x00000002052594b3 in WOWatchDogApplicationMain (appName=0x6071a0, argc=7, argv=0x7f7ffffe7f10) at WOWatchDogApplicationMain.m:1034
0000044 0x0000000000401e25 in gnustep_base_user_main (argc=7, argv=0x7f7ffffe7f10, env=Variable "env" is not available.
) at sogod.m:53
0000045 0x0000000000401b61 in ___start ()
0000046 0x0000000000000007 in ?? ()
0000047 0x00007f7ffffe8040 in ?? ()
0000048 0x00007f7ffffe8056 in ?? ()
0000049 0x00007f7ffffe8065 in ?? ()
0000050 0x00007f7ffffe8068 in ?? ()
0000051 0x00007f7ffffe8073 in ?? ()
0000052 0x00007f7ffffe8075 in ?? ()
0000053 0x00007f7ffffe8081 in ?? ()
0000054 0x0000000000000000 in ?? ()
(gdb) frame 1
0000001 0x00000002069523a3 in -[GSInlineArray initWithObjects:count:] (self=0x20853b188, _cmd=Variable "_cmd" is not available.
) at GSArray.m:422
422 if ((_contents_array[i] = RETAIN(objects[i])) == nil)
Current language: auto; currently minimal
(gdb) list
417 {
418 NSUInteger i;
419
420 for (i = 0; i < count; i++)
421 {
422 if ((_contents_array[i] = RETAIN(objects[i])) == nil)
423 {
424 _count = i;
425 DESTROY(self);
426 [NSException raise: NSInvalidArgumentException
(gdb) print i
$1 = 0
(gdb) print _contents_array
No symbol "_contents_array" in current context.
(gdb) print objects
$2 = (struct objc_object * const *) 0x7f7ffffe6250
(gdb) print *objects
$3 = (struct objc_object * const) 0x20f86cf28
(gdb) quit
The program is running. Exit anyway? (y or n) y


Or this one, just happened directly after login:

127.0.0.1 - - [06/Mar/2012:12:20:49 GMT] "GET /SOGo/sebastia HTTP/1.1" 302 0/0 0.018 - - -
127.0.0.1 - - [06/Mar/2012:12:20:49 GMT] "GET /SOGo/sebastia/view HTTP/1.1" 302 0/0 0.005 - - -
127.0.0.1 - - [06/Mar/2012:12:20:49 GMT] "GET /SOGo/so/sebastia/Mail HTTP/1.1" 302 0/0 0.002 - - -
2012-03-06 12:20:49.879 sogod[13301] WARNING: IMAP4 connection pooling is disabled!
2012-03-06 12:20:49.938 sogod[13301] Note(NGImap4Connection): using '.' as the IMAP4 folder separator.
2012-03-06 12:20:50.032 sogod[13301] Note: using 'UCS-2-INTERNAL' on Linux.
127.0.0.1 - - [06/Mar/2012:12:20:50 GMT] "GET /SOGo/so/sebastia/Mail/view HTTP/1.1" 200 30007/0 0.914 123757 75% -

Program received signal SIGSEGV, Segmentation fault.
[Switching to process 13301, thread 0x20c503000]
0x000000020c585f0d in objc_msg_lookup (receiver=0x20a841968, op=0x206462a90) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
213 /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c: No such file or directory.
        in /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c
(gdb) bt
#0 0x000000020c585f0d in objc_msg_lookup (receiver=0x20a841968, op=0x206462a90) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
0000001 0x0000000205f70e5f in -[GSMutableDictionary removeAllObjects] (self=0x20d904288, _cmd=Variable "_cmd" is not available.
) at GSIMap.h:1189
0000002 0x00000000004036d7 in -[SOGo dispatchRequest:] (self=0x202e77a08, _cmd=Variable "_cmd" is not available.
) at SOGo.m:452
0000003 0x000000020e54364d in -[WOHttpTransaction _run] (self=0x21b221d08, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:581
0000004 0x000000020e546231 in -[WOHttpTransaction run] (self=0x21b221d08, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:634
0000005 0x000000020e540679 in -[WOHttpAdaptor runConnection:] (self=0x2018fc088, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:384
0000006 0x000000020e542060 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x2018fc088, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:418
0000007 0x000000020e541cd6 in -[WOHttpAdaptor _handleConnection:] (self=0x2018fc088, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:477
0000008 0x000000020e54222c in -[WOHttpAdaptor acceptConnection:] (self=Variable "self" is not available.
) at WOHttpAdaptor.m:538
0000009 0x0000000206069706 in -[NSNotificationCenter _postAndRelease:] (self=0x20b5154e8, _cmd=Variable "_cmd" is not available.
) at NSNotificationCenter.m:1223
0000010 0x0000000206171ad1 in -[GSRunLoopCtxt pollUntil:within:] (self=0x20b522608, _cmd=Variable "_cmd" is not available.
) at GSRunLoopCtxt.m:629
0000011 0x00000002060b314e in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x208d22648, _cmd=0x2064e7000, mode=0x2064e70a0, limit_date=0x2058d7aa8) at NSRunLoop.m:1195
0000012 0x00000002060b15ab in -[NSRunLoop runMode:beforeDate:] (self=0x208d22648, _cmd=0x20e7a7480, mode=0x2064e70a0, date=0x20c540448) at NSRunLoop.m:1263
0000013 0x000000020e4a6f24 in -[WOCoreApplication run] (self=Variable "self" is not available.
) at WOCoreApplication.m:576
0000014 0x0000000000402aaf in -[SOGo run] (self=0x202e77a08, _cmd=Variable "_cmd" is not available.
) at SOGo.m:275
0000015 0x000000020e4ce6b5 in WOApplicationMain (_appClassName=0x6071a0, argc=Variable "argc" is not available.
) at WOApplicationMain.m:42
0000016 0x000000020e4ec4b3 in WOWatchDogApplicationMain (appName=0x6071a0, argc=7, argv=0x7f7ffffe1d20) at WOWatchDogApplicationMain.m:1034
0000017 0x0000000000401e25 in gnustep_base_user_main (argc=7, argv=0x7f7ffffe1d20, env=Variable "env" is not available.
) at sogod.m:53
0000018 0x0000000000401b61 in ___start ()
0000019 0x0000000000000007 in ?? ()
0000020 0x00007f7ffffe1e50 in ?? ()
0000021 0x00007f7ffffe1e66 in ?? ()
0000022 0x00007f7ffffe1e75 in ?? ()
0000023 0x00007f7ffffe1e78 in ?? ()
0000024 0x00007f7ffffe1e83 in ?? ()
0000025 0x00007f7ffffe1e85 in ?? ()
0000026 0x00007f7ffffe1e91 in ?? ()
0000027 0x0000000000000000 in ?? ()
(gdb) frame 2
0000002 0x00000000004036d7 in -[SOGo dispatchRequest:] (self=0x202e77a08, _cmd=Variable "_cmd" is not available.
) at SOGo.m:452
452 [cache killCache];
Current language: auto; currently minimal
(gdb) list
447 }
448 }
449 #endif
450
451 resp = [super dispatchRequest: _request];
452 [cache killCache];
453
454 if (debugRequests)
455 {
456 timeDelta = [[NSDate date] timeIntervalSinceDate: startDate];


Or this one, when I enter the address book:

27.0.0.1 - - [06/Mar/2012:12:29:20 GMT] "GET /SOGo/so/sebastia/Contacts HTTP/1.1" 302 0/0 0.002 - - -
Mar 06 12:29:21 sogod [29503]: <<0x0FAC2D88[SOGoContactGCSFolder]:personal>>D fetched 0 records.
127.0.0.1 - - [06/Mar/2012:12:29:21 GMT] "GET /SOGo/so/sebastia/Contacts/view HTTP/1.1" 200 5773/0 0.108 20331 71% -
Mar 06 12:29:21 sogod [29503]: [WARN] <0x0x2104f4d48[SOGoWebDAVAclManager]> entry '{DAV:}write' already exists in DAV permissions table
Mar 06 12:29:21 sogod [29503]: [WARN] <0x0x2104f4d48[SOGoWebDAVAclManager]> entry '{DAV:}write-properties' already exists in DAV permissions table
Mar 06 12:29:21 sogod [29503]: [WARN] <0x0x2104f4d48[SOGoWebDAVAclManager]> entry '{DAV:}write-content' already exists in DAV permissions table

Program received signal SIGSEGV, Segmentation fault.
[Switching to process 29503, thread 0x20225d000]
0x000000020d297f0d in objc_msg_lookup (receiver=0x200f28628, op=0x2182cc560) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
213 /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c: No such file or directory.
        in /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c
(gdb) bt
#0 0x000000020d297f0d in objc_msg_lookup (receiver=0x200f28628, op=0x2182cc560) at /usr/src/gnu/usr.bin/cc/libobjc/../../../gcc/libobjc/sendmsg.c:213
0000001 0x00000002180c0456 in -[PostgreSQL72Channel cancelFetch] (self=Variable "self" is not available.
) at PostgreSQL72Channel.m:291
0000002 0x00000002180c13b7 in -[PostgreSQL72Channel primaryFetchAttributes:withZone:] (self=0x202280d08, _cmd=Variable "_cmd" is not available.
) at PostgreSQL72Channel.m:426
0000003 0x0000000209211d39 in -[EOAdaptorChannel fetchAttributes:withZone:] (self=0x202280d08, _cmd=Variable "_cmd" is not available.
) at EOAdaptorChannel.m:432
0000004 0x000000020bdadbc4 in -[GCSFolderManager performSQL:] (self=0x20fa31288, _cmd=Variable "_cmd" is not available.
) at GCSFolderManager.m:260
0000005 0x000000020bdac82c in -[GCSFolderManager folderAtPath:] (self=0x20fa31288, _cmd=Variable "_cmd" is not available.
) at GCSFolderManager.m:669
0000006 0x0000000203061d0e in -[SOGoGCSFolder ocsFolder] (self=0x20e81e708, _cmd=Variable "_cmd" is not available.
) at SOGoGCSFolder.m:483
0000007 0x0000000213dba74f in -[SOGoAppointmentFolder fetchAlarmInfosFrom:to:] (self=0x20e81e708, _cmd=Variable "_cmd" is not available.
) at SOGoAppointmentFolder.m:2334
0000008 0x0000000217c72399 in -[UIxCalListingActions alarmsListAction] (self=0x20acbf788, _cmd=Variable "_cmd" is not available.
) at UIxCalListingActions.m:471
0000009 0x000000020099844d in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x20739a6c8, _cmd=Variable "_cmd" is not available.
) at SoActionInvocation.m:300
0000010 0x0000000200993a21 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x2028a6cc8, _cmd=Variable "_cmd" is not available.
) at SoObjectMethodDispatcher.m:191
0000011 0x000000020099580c in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x2063e9d88, _cmd=Variable "_cmd" is not available.
) at SoObjectRequestHandler.m:591
0000012 0x0000000200923829 in -[WORequestHandler handleRequest:] (self=Variable "self" is not available.
) at WORequestHandler.m:241
0000013 0x00000002008e76ac in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x20db23f08, _cmd=Variable "_cmd" is not available.
) at WOCoreApplication.m:704
0000014 0x00000000004036b2 in -[SOGo dispatchRequest:] (self=0x20db23f08, _cmd=Variable "_cmd" is not available.
) at SOGo.m:451
0000015 0x000000020098464d in -[WOHttpTransaction _run] (self=0x204035308, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:581
0000016 0x0000000200987231 in -[WOHttpTransaction run] (self=0x204035308, _cmd=Variable "_cmd" is not available.
) at WOHttpTransaction.m:634
0000017 0x0000000200981679 in -[WOHttpAdaptor runConnection:] (self=0x20acc8988, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:384
0000018 0x0000000200983060 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x20acc8988, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:418
0000019 0x0000000200982cd6 in -[WOHttpAdaptor _handleConnection:] (self=0x20acc8988, _cmd=Variable "_cmd" is not available.
) at WOHttpAdaptor.m:477
0000020 0x000000020098322c in -[WOHttpAdaptor acceptConnection:] (self=Variable "self" is not available.
) at WOHttpAdaptor.m:538
0000021 0x000000020df4d706 in -[NSNotificationCenter _postAndRelease:] (self=0x206382688, _cmd=Variable "_cmd" is not available.
) at NSNotificationCenter.m:1223
0000022 0x000000020e055ad1 in -[GSRunLoopCtxt pollUntil:within:] (self=0x20e6a5308, _cmd=Variable "_cmd" is not available.
) at GSRunLoopCtxt.m:629
0000023 0x000000020df9714e in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x206e9ee08, _cmd=0x20e3cb000, mode=0x20e3cb0a0, limit_date=0x20cf82808) at NSRunLoop.m:1195
0000024 0x000000020df955ab in -[NSRunLoop runMode:beforeDate:] (self=0x206e9ee08, _cmd=0x200be8480, mode=0x20e3cb0a0, date=0x20cf82b68) at NSRunLoop.m:1263
0000025 0x00000002008e7f24 in -[WOCoreApplication run] (self=Variable "self" is not available.
) at WOCoreApplication.m:576
0000026 0x0000000000402aaf in -[SOGo run] (self=0x20db23f08, _cmd=Variable "_cmd" is not available.
) at SOGo.m:275
0000027 0x000000020090f6b5 in WOApplicationMain (_appClassName=0x6071a0, argc=Variable "argc" is not available.
) at WOApplicationMain.m:42
0000028 0x000000020092d4b3 in WOWatchDogApplicationMain (appName=0x6071a0, argc=7, argv=0x7f7fffff7820) at WOWatchDogApplicationMain.m:1034
0000029 0x0000000000401e25 in gnustep_base_user_main (argc=7, argv=0x7f7fffff7820, env=Variable "env" is not available.
) at sogod.m:53
0000030 0x0000000000401b61 in ___start ()
0000031 0x0000000000000007 in ?? ()
0000032 0x00007f7fffff7950 in ?? ()
0000033 0x00007f7fffff7966 in ?? ()
0000034 0x00007f7fffff7975 in ?? ()
0000035 0x00007f7fffff7978 in ?? ()
0000036 0x00007f7fffff7983 in ?? ()
0000037 0x00007f7fffff7985 in ?? ()
0000038 0x00007f7fffff7991 in ?? ()
0000039 0x0000000000000000 in ?? ()


what I did on the 64Bit box is to transfer the SOGo configuration from the 32Bit box, and to dump the database, and reimport it on the new database on the 64Bit host. Before imported the database in the new host, I had to modify the database dump for the sogo_folder_info table: values like:

postgresql://SOGo:SOGo@<OLD [^] HOST NAME>:5432/sogo/sogosebastia0010f717d45

were changed into:
postgresql://SOGo:SOGo@localhost:5432/sogo/sogosebastia0010f717d45 [^]

I changed the hostname.
(0003531)
buzzdee (reporter)
2012-03-06 12:48

I made some more tests, also OGo is failing with gnustep-base-1.24.0 on amd64.
I tested SOGo against gnustep-base-1.22.1 on amd64, with all the patches above, and it seems to work well.

I have some more patches for SOPE, since compiling OGo did spit out a lot of other warnings about methods not used from SOGo.
But both still segfault here and there...

I'll test more tomorrow, especially with the 1.23.0 gnustep-base and other things...
(0003547)
buzzdee (reporter)
2012-03-07 11:05

I tried with gnustep-base 1.23.0, and it still segfaults on the amd64 box, when I open the contacts web interface. So probably the segfaults don't have anything to do with the NSNotFound change, since this is only in 1.24.0.
(0003597)
arigion (reporter)
2012-03-19 14:34

I can confirm this error for gnustep-base-1.24.0 and OGo 1.3.13 (x86_64).

EXCEPTION: <NSException: 0x10f99a8> NAME:NSRangeException REASON:Index -1 is out of range 7 (in 'replaceObjectAtIndex:withObject:') INFO:{Array = (Flagged, Attachment, Subject, Unread, Date,
 Priority, Size); Count = 7; Index = 4294967295; }
(0003598)
buzzdee (reporter)
2012-03-19 15:02

Since about two weeks now, I have SOGo running stable for me (so far), just using the just uploaded fix_64_Bit_exceptions.diff. With the first approach, I was too optimistic, and broke too much else I guess.
So just this patch to SOGo, without the patch to SOPE, makes me happy.
But I definitely do not use all features sogo provides, so, the same problem may show up on other places too.

arigion, do you have a chance to test the patch?
(0003647)
arigion (reporter)
2012-03-26 09:55

I updated to OGo 1.3.14 (x86_64) now.
The patch fix_64_Bit_exceptions.diff was still valid.
The mail tab showed up and the exception was gone.
I clicked around a bit, but did no extensive testing.
From my point of view the patch resolves my issues.
(0003739)
soletan (reporter)
2012-04-14 08:51
edited on: 2012-04-14 09:03

Using sources currently available for download at sogo.nu (1.3.x) on a Gentoo Linux with GNUstep-base 1.24.0 I can confirm basic issue and fixing it using buzzdees latest patch. That way reading mail was possible. However, on switching to calendar another exception was logged:

menon.toxa.de - - [14/Apr/2012:14:36:46 GMT] "GET /SOGo/so/esoletan/Mail//0/folderINBOX/expunge HTTP/1.1" 200 2/0 0.212 - - 16K
menon.toxa.de - - [14/Apr/2012:14:36:46 GMT] "GET /SOGo/so/esoletan/Calendar HTTP/1.1" 302 0/0 0.004 - - 4K
EXCEPTION: <NSException: 0x7f28d235e338> NAME:NSRangeException REASON:in substringWithRange:, range { 0, 4294967295 } extends beyond size (1) INFO:(null)
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df4ff8[WOWatchDogChild]> child 25582 exited
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df4ff8[WOWatchDogChild]> (terminated due to signal 6)
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df15b8[WOWatchDog]> child spawned with pid 25585
2012-04-14 14:36:47.210 sogod[25585] Note: Using UTF-8 as URL encoding in NGExtensions.
Apr 14 14:36:47 sogod [25585]: <0x0x7f28d1b62808[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Apr 14 14:36:47 sogod [25585]: <0x0x7f28d1b62808[SOGoCache]> Using host(s) 'localhost' as server(s)
2012-04-14 14:36:47.214 sogod[25585] Note(SoObject): SoDebugKeyLookup is enabled!
2012-04-14 14:36:47.214 sogod[25585] Note(SoObject): SoDebugBaseURL is enabled!
2012-04-14 14:36:47.214 sogod[25585] Note(SoObject): relative base URLs are enabled.
Apr 14 14:36:47 sogod [25585]: [WARN] <0x0x7f28d20cbfa8[SOGoWebDAVAclManager]> entry '{DAV:}write' already exists in DAV permissions table
Apr 14 14:36:47 sogod [25585]: [WARN] <0x0x7f28d20cbfa8[SOGoWebDAVAclManager]> entry '{DAV:}write-properties' already exists in DAV permissions table
Apr 14 14:36:47 sogod [25585]: [WARN] <0x0x7f28d20cbfa8[SOGoWebDAVAclManager]> entry '{DAV:}write-content' already exists in DAV permissions table
2012-04-14 14:36:47.238 sogod[25585] WOxElemBuilder: could not locate builders: WOxExtElemBuilder,WOxExtElemBuilder
2012-04-14 14:36:47.238 sogod[25585] WOCompoundElement: pool embedding is on.
2012-04-14 14:36:47.238 sogod[25585] WOCompoundElement: id logging is on.
EXCEPTION: <NSException: 0x7f28d2298fe8> NAME:NSRangeException REASON:in substringWithRange:, range { 0, 4294967295 } extends beyond size (1) INFO:(null)
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df4ff8[WOWatchDogChild]> child 25585 exited
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df4ff8[WOWatchDogChild]> (terminated due to signal 6)
Apr 14 14:36:47 sogod [25558]: <0x0x7f28d1df4ff8[WOWatchDogChild]> avoiding to respawn child before 2012-04-14 14:36:52 +0200
Apr 14 14:36:52 sogod [25558]: <0x0x7f28d1df15b8[WOWatchDog]> child spawned with pid 25591

I'm sorry for asking newbie (regarding GNUstep/ObjC) question: What about replacing all occurrences of "[unsigned] int" with "NS[U]Integer"?

(0003894)
buzzdee (reporter)
2012-05-11 13:09

Its not that easy to change all occurrences to NS[U]Integer ;)
Therefore it took a little longer.
(0003895)
buzzdee (reporter)
2012-05-11 13:14

This is the fix to SOPE. I hope I did not included any stuff that already got fixed from other patches to other bugs I uploaded. SOGo/OGo both still seem to be fine. Went through all major parts of both web interfaces and didn't stumbled above a problem yet. This is a large and intrusive patch. There are also some int to NSUInteger chages, where applicable. For example usually methods like -count -length ... return NSUInteger, and not unsigned int or int.
It probably needs more heavier testing. A similar patch for SOGo will follow in a minute.
(0003896)
buzzdee (reporter)
2012-05-11 13:28

So the last two patches from Today should be used for testing. Further the patches to bugs reports: 0001800 and 0001801 which also contain unsigned int to NSUInteger conversions. Those two are already applied to the SOPE sources since yesterday.

Hope it will now work for you too, and my patches don't break other things ;)

Sebastian
(0003939)
ludovic (administrator)
2012-05-22 13:09

All the patches need to be applied or just the last two ones?
(0003963)
buzzdee (reporter)
2012-05-22 16:50

Just the last two, the one for SOPE, and the one for SOGo.
(0003983)
ludovic (administrator)
2012-05-29 16:17

Fixes applied:

http://mtn.inverse.ca/revision/diff/494c1e08ea03a172bc351c9989850a6f746fd2d6/with/a53e8be2320aec0d1cd6ec52e82fba427afc9735 [^]

and:

http://mtn.inverse.ca/revision/diff/1e79eab4c546452715e5171f1c326b7d36f1c195/with/99dc7d9dce88b8a323b1e7aab60de99ed2bfda60 [^]

- Issue History
Date Modified Username Field Change
2012-03-05 13:56 buzzdee New Issue
2012-03-05 13:57 wsourdeau Note Added: 0003521
2012-03-05 14:04 buzzdee File Added: patch-UI_MailerUI_UIxMailMainFrame_m
2012-03-05 14:05 buzzdee Note Added: 0003522
2012-03-05 14:06 buzzdee Note Added: 0003523
2012-03-05 14:08 buzzdee Note Added: 0003524
2012-03-05 14:17 wsourdeau Note Added: 0003525
2012-03-06 06:13 buzzdee Note Added: 0003527
2012-03-06 06:13 buzzdee Note Added: 0003528
2012-03-06 06:15 buzzdee File Added: sope-patches-for-64-bit-and-deprecation-fixes.diff
2012-03-06 06:15 buzzdee File Added: sogo-64Bit-fixes-and-other-minor-things.diff
2012-03-06 06:30 buzzdee Note Added: 0003529
2012-03-06 12:48 buzzdee Note Added: 0003531
2012-03-07 11:05 buzzdee Note Added: 0003547
2012-03-19 14:34 arigion Note Added: 0003597
2012-03-19 15:00 buzzdee File Added: fix_64_Bit_exceptions.diff
2012-03-19 15:02 buzzdee Note Added: 0003598
2012-03-26 09:55 arigion Note Added: 0003647
2012-04-14 08:51 soletan Note Added: 0003739
2012-04-14 09:03 soletan Note Edited: 0003739
2012-05-11 13:09 buzzdee Note Added: 0003894
2012-05-11 13:10 buzzdee File Added: NSNotFound-comparison-warnings-in-SOPE-and-other-unsigned-int-and-int-conversions-to-NSUInteger.diff
2012-05-11 13:14 buzzdee Note Added: 0003895
2012-05-11 13:24 buzzdee File Added: NSNotFound-fixes-for-SOGo.diff
2012-05-11 13:28 buzzdee Note Added: 0003896
2012-05-22 13:09 ludovic Note Added: 0003939
2012-05-22 13:09 ludovic Target Version => 1.3.16
2012-05-22 16:50 buzzdee Note Added: 0003963
2012-05-29 16:17 ludovic Note Added: 0003983
2012-05-29 16:17 ludovic Status new => resolved
2012-05-29 16:17 ludovic Fixed in Version => 1.3.16
2012-05-29 16:17 ludovic Resolution open => fixed
2012-05-29 16:17 ludovic Assigned To => ludovic
2012-05-29 16:17 ludovic Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker